#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xf60c7a95, "ipv6_chk_addr" },
	{ 0x4ed4a600, "dst_release" },
	{ 0xf553166e, "nft_register_expr" },
	{ 0x8a197c2a, "l3mdev_master_ifindex_rcu" },
	{ 0x3cf5c5c8, "nft_fib_validate" },
	{ 0xa29fdd81, "nft_fib_store_result" },
	{ 0x3ce4a28d, "nft_unregister_expr" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x5661f6fc, "ip6_route_lookup" },
	{ 0x141d6ac6, "nft_fib_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdaf04808, "__nf_ip6_route" },
	{ 0x6d5bf833, "nft_fib_policy" },
	{ 0xe1ceb158, "nft_fib_dump" },
	{ 0xc6e026cf, "skb_copy_bits" },
	{ 0xd542439, "__ipv6_addr_type" },
};

MODULE_INFO(depends, "nf_tables,nft_fib");


MODULE_INFO(srcversion, "E6530A805DC9EA01AE8E598");
